Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Newer HL2 Maps not Compatible with SMOD Standalone's Engine  (Read 3826 times)

0 Members and 1 Guest are viewing this topic.

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #30 on: September 10, 2016, 06:02:45 PM »
Have you tried setting up Hammer to use EP1's SDK tools?

Will episode 1's compiler work with SMOD and when you say "hammer" do you mean setting it up in SourceSDK or in the bin/hammer by selecting "Half-Life 2: Episode 1" in the dropdown menu?
Yes, it will work with EP1's tools. And you don't have to select "Half-Life 2: Episode 1", just change the path of the compiler's .exes to their respective EP1 counterparts.

No luck, I opened Hammer in the bin folder, pointed all the compilers to the SourceSDK/ep1/bin, and the compiler finished in a few seconds saying it couldn't find the steamapp user info for all the compilers.

Offline Counter-Life™

  • *
  • *
  • +17% chance to make useful post
  • Counter-Life™ is a rising star!Counter-Life™ is a rising star!Counter-Life™ is a rising star!Counter-Life™ is a rising star!Counter-Life™ is a rising star!Counter-Life™ is a rising star!
    • Youtube Channel
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #31 on: September 12, 2016, 08:38:38 AM »
Have you tried setting up Hammer to use EP1's SDK tools?

Will episode 1's compiler work with SMOD and when you say "hammer" do you mean setting it up in SourceSDK or in the bin/hammer by selecting "Half-Life 2: Episode 1" in the dropdown menu?
Yes, it will work with EP1's tools. And you don't have to select "Half-Life 2: Episode 1", just change the path of the compiler's .exes to their respective EP1 counterparts.

No luck, I opened Hammer in the bin folder, pointed all the compilers to the SourceSDK/ep1/bin, and the compiler finished in a few seconds saying it couldn't find the steamapp user info for all the compilers.
I remember having the same issue ages ago, try this: https://developer.valvesoftware.com/wiki/Can%27t_find_steam_app_user_info

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #32 on: September 12, 2016, 10:42:08 AM »
Have you tried setting up Hammer to use EP1's SDK tools?

Will episode 1's compiler work with SMOD and when you say "hammer" do you mean setting it up in SourceSDK or in the bin/hammer by selecting "Half-Life 2: Episode 1" in the dropdown menu?
Yes, it will work with EP1's tools. And you don't have to select "Half-Life 2: Episode 1", just change the path of the compiler's .exes to their respective EP1 counterparts.

No luck, I opened Hammer in the bin folder, pointed all the compilers to the SourceSDK/ep1/bin, and the compiler finished in a few seconds saying it couldn't find the steamapp user info for all the compilers.
I remember having the same issue ages ago, try this: https://developer.valvesoftware.com/wiki/Can%27t_find_steam_app_user_info

Thanks however with the current state of SMOD I've stopped developing the mod, the lua in SMOD is finicky and unstable thus making what I want to do almost impossible. Thanks for taking all this time to try and help me out however it won't help me if SMOD's lua isn't updated.